Summary:	Tool to check and undelete partition
Summary(fr.UTF-8):	Outil pour vérifier et restorer des partitions
Summary(pl.UTF-8):	Narzędzie sprawdzające i odzyskujące partycje
Summary(ru.UTF-8):	Программа для проверки и восстановления разделов диска
Name:		testdisk
Version:	6.13
Release:	3
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
# Source0-md5:	3bcbf0722d3823ca155e633969ce9f0b
Patch0:		%{name}-ac.patch
URL:		http://www.cgsecurity.org/testdisk.html
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	e2fsprogs-devel
#BuildRequires:	libcarvpath-devel
BuildRequires:	libewf-devel
BuildRequires:	libjpeg-devel
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	ntfs-3g-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	progsreiserfs-devel >= 0.3.1-1.rc8.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tool to check and undelete partition. Works with the following
partitions:
- BeFS ( BeOS )
- BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
- CramFS, Compressed File System
- DOS/Windows FAT12, FAT16 and FAT32
- Windows exFAT
- HFS, HFS+ and HFSX, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux ext2 and ext3
- Linux LUKS encrypted partition
- Linux RAID md 0.9/1.0/1.1/1.2 o RAID 1: mirroring o RAID 4: striped
  array with parity device o RAID 5: striped array with distributed
  parity information o RAID 6: striped array with distributed dual
  redundancy information
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Mac partition map
- Novell Storage Services NSS
- NTFS ( Windows NT/2000/XP/2003/Vista/2008 )
- ReiserFS 3.5, 3.6 and 4
- Sun Solaris i386 disklabel
- Unix File System UFS and UFS2 (Sun/BSD/...)
- XFS, SGI's Journaled File System

%description -l fr.UTF-8
Outil pour vérifier et restorer des partitions. Fonctionne avec les
partitions suivantes:
- BeFS ( BeOS )
- BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
- CramFS, Compressed File System
- DOS/Windows FAT12, FAT16 and FAT32
- Windows exFAT
- HFS, HFS+ and HFSX, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux ext2 and ext3
- Linux LUKS encrypted partition
- Linux RAID md 0.9/1.0/1.1/1.2 o RAID 1: mirroring o RAID 4: striped
  array with parity device o RAID 5: striped array with distributed
  parity information o RAID 6: striped array with distributed dual
  redundancy information
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Mac partition map
- Novell Storage Services NSS
- NTFS ( Windows NT/2000/XP/2003/Vista/2008 )
- ReiserFS 3.5, 3.6 and 4
- Sun Solaris i386 disklabel
- Unix File System UFS and UFS2 (Sun/BSD/...)
- XFS, SGI's Journaled File System

%description -l pl.UTF-8
Narzędzie sprawdzające i odzyskujące partycje. Pracuje z partycjami:
- BeFS ( BeOS )
- BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
- CramFS, Compressed File System
- DOS/Windows FAT12, FAT16 and FAT32
- Windows exFAT
- HFS, HFS+ and HFSX, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux ext2 and ext3
- Linux LUKS encrypted partition
- Linux RAID md 0.9/1.0/1.1/1.2 o RAID 1: mirroring o RAID 4: striped
  array with parity device o RAID 5: striped array with distributed
  parity information o RAID 6: striped array with distributed dual
  redundancy information
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Mac partition map
- Novell Storage Services NSS
- NTFS ( Windows NT/2000/XP/2003/Vista/2008 )
- ReiserFS 3.5, 3.6 and 4
- Sun Solaris i386 disklabel
- Unix File System UFS and UFS2 (Sun/BSD/...)
- XFS, SGI's Journaled File System

%description -l ru.UTF-8
Программа для проверки и восстановления разделов диска. Поддерживает
следующие типы разделов:
- BeFS ( BeOS )
- BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
- CramFS, Compressed File System
- DOS/Windows FAT12, FAT16 and FAT32
- Windows exFAT
- HFS, HFS+ and HFSX, Hierarchical File System
- JFS, IBM's Journaled File System
- Linux ext2 and ext3
- Linux LUKS encrypted partition
- Linux RAID md 0.9/1.0/1.1/1.2 o RAID 1: mirroring o RAID 4: striped
  array with parity device o RAID 5: striped array with distributed
  parity information o RAID 6: striped array with distributed dual
  redundancy information
- Linux Swap (versions 1 and 2)
- LVM and LVM2, Linux Logical Volume Manager
- Mac partition map
- Novell Storage Services NSS
- NTFS ( Windows NT/2000/XP/2003/Vista/2008 )
- ReiserFS 3.5, 3.6 and 4
- Sun Solaris i386 disklabel
- Unix File System UFS and UFS2 (Sun/BSD/...)
- XFS, SGI's Journaled File System

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install src/{fidentify,photorec,testdisk} $RPM_BUILD_ROOT%{_sbindir}
install -p doc_src/*.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INFO NEWS README THANKS doc/*.html
%{_mandir}/man8/*.8*
%attr(755,root,root) %{_sbindir}/*
%changelog
* Mon Feb 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/testdisk.git;a=log;h=master

* Mon Feb 04 2013 Jan Rękorajski <baggins@pld-linux.org> b12a122
- release 3 (by relup.sh)

* Thu Feb 16 2012 Andrzej Zawadzki <zawadaa@gmail.com> a22e558
- rel 2 - rebuild with new ntfs-3g

* Tue Feb 07 2012 Andrzej Zawadzki <zawadaa@gmail.com> f4c1532
- up to 6.13, stable

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 39bf1b8
- release 4

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d3ac365
- release 3

* Sun Jul 24 2011 areq <areq@pld-linux.org> 7faf34a
- BR ntfs-3g-devel

* Tue Jun 14 2011 Tomasz Pala <gotar@pld-linux.org> ef750c0
- preserve manpages timestamps

* Tue Jun 14 2011 Tomasz Pala <gotar@pld-linux.org> 2a53148
- upgraded to 6.12

* Thu Jan 28 2010 sparky <sparky@pld-linux.org> 67911d5
- BR: pkgconfig

* Thu Jan 28 2010 amateja <amateja@pld-linux.org> dd3147e
- release 3

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ca731be
- release 2

* Wed May 06 2009 areq <areq@pld-linux.org> cc790bb
- 6.11.3 , rm outdated photorec_611_exif_bound_checking.patch

* Mon Apr 27 2009 lisu <lisu@pld-linux.org> e1baa98
- 6.11.1

* Thu Apr 23 2009 areq <areq@pld-linux.org> 1595a1b
- add photorec_611_exif_bound_checking.patch (32-bit version of PhotoRec 6.11
  can be crashed by corrupted EXIF information.)
- rel 2

* Thu Apr 23 2009 areq <areq@pld-linux.org> 726acf4
32-bit version of PhotoRec 6.11 can be crashed by corrupted EXIF information.
http://www.cgsecurity.org/photorec_611_exif_bound_checking.patch
by Christophe GRENIER

* Mon Apr 20 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 4b7c7f5
- better descriptions, from project website

* Mon Apr 20 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 1e90da8
- updated descriptions

* Sun Apr 19 2009 areq <areq@pld-linux.org> f66c35b
- 6.11

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> df11a2e
- release 3

* Fri Jul 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 14e7ee7
- updated descs
- BR: libewf-devel (for Expert Witness Compression Format support)

